fuss-server - Segnalazione #603

password non supportate
09/18/2018 04:26 PM - Marco Marinello

Status: Risolto Start date: 09/18/2018
Priority: Alta Due date:

Assignee: Paolo Dongilli % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Da test eseguiti fuss-server sembrerebbe bloccarsi se la password contiene un dollaro.

Il blocco avviene sul grant di samba, dopo il "wait 2 seconds otherwise next command can fail" . Il messaggio di errore riporta
"NT_ACCESS_DENIED".

Nella scorsa versione proprio I'ultimo commit parlava di questo:
https://work.fuss.bz.it/projects/fuss-server/repository/revisions/wheezy/entry/fuss-server#l 132
https://work.fuss.bz.it/projects/fuss-server/repository/revisions/bb9d21d073610aaa28c52a67b5af0524700bf69e

Associated revisions

Revision 89f14ca0 - 09/19/2018 05:26 PM - Simone Piccardi
Add check to forbid &, /,\ and $ from master password, refs: #603

History

#1 - 09/19/2018 04:19 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Simone Piccardi

- Priority changed from Normale to Alta

Grazie Marco, richiedo un intervento.

#2 - 11/28/2018 02:55 PM - Simone Piccardi

L'elenco dei caratteri vietati € stato aggiornato, e viene anche prodotto un messaggio in console al riguardo, occorre perd la nuova versione del
pacchetto (8.0.36).

#3 - 11/28/2018 02:56 PM - Simone Piccardi
- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Paolo Dongilli
#4 - 11/28/2018 03:07 PM - Paolo Dongilli

- Status changed from Commenti to Risolto

- % Done changed from 0 to 100
